com.mysql.cj.telemetry

## Interface TelemetryScope

All Superinterfaces:
  AutoCloseable

All Known Implementing Classes:
  NoopTelemetryScope

    public interface TelemetryScope
    extends AutoCloseable

A telemetry context scope wrapper that hides all specific details from the underlying telemetry library. A default no-op implementation is provided so that telemetry may be turned off with minimal impact to the driver code.

### Method Summary

All Methods Instance Methods Default Methods
`default void` `close()` `AutoCloseable.close()` that must be used to end this context scope and, thus, make it possible to create new span within try-with-resources blocks.

### Method Detail

#### close

    default void close()

`AutoCloseable.close()` that must be used to end this context scope and, thus, make it possible to create new span within try-with-resources blocks.

Specified by:
  `close` in interface `AutoCloseable`

Copyright © 2016, 2026, Oracle and/or its affiliates.